package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;

/**
 * 图片处理类型枚举
 * @author Cup
 * @date 2022/4/15
 */
@ApiModel(value = "图片处理类型枚举")
public enum PicHandlerTypeEnum implements IEnum<Integer> {

    CROP(1, "裁剪"),
    COMPRESSION(2, "压缩");


    private final int value;
    private final String desc;

    PicHandlerTypeEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

}
